#!/bin/bash
if [ "$#" -ne 2 ]; then
    echo "$0 fn.align queryId"
    echo "fn.align format: id [tab] seq"
    exit 1
fi
PYTHON=`which python`
bname=`basename $1`
name=${bname%.align}
queryId=$2
$PYTHON MI.+res.py -v 1 -G 0.0 --initidx=1 -q $queryId $1 > "$name".MI 2> /dev/null
$PYTHON MI.+res.py -v 2 -G 0.0 --initidx=1 -q $queryId $1 > "$name".entfact 2> /dev/null
$PYTHON aMIc.+res.py -v 1 "$name".MI "$name".entfact > "$name".MIc
$PYTHON aMIc.+res.py -v 3 "$name".MI "$name".entfact > "$name".aMIc
